to_list.hpp File Reference
`#include <msgpack/preprocessor/cat.hpp>`
`#include <msgpack/preprocessor/config/config.hpp>`
`#include <msgpack/preprocessor/array/size.hpp>`
`#include <msgpack/preprocessor/control/if.hpp>`
`#include <msgpack/preprocessor/tuple/to_list.hpp>`

Go to the source code of this file.

## Macros

#define | MSGPACK_PP_ARRAY_TO_LIST(array)
#define | MSGPACK_PP_ARRAY_TO_LIST_EMPTY(array) MSGPACK_PP_NIL
#define | MSGPACK_PP_ARRAY_TO_LIST_DO(array) MSGPACK_PP_TUPLE_TO_LIST array

## Macro Definition Documentation

## MSGPACK_PP_ARRAY_TO_LIST

#define MSGPACK_PP_ARRAY_TO_LIST | ( |  | array | ) |

Value:
MSGPACK_PP_IF \
( \
MSGPACK_PP_ARRAY_SIZE(array), \
MSGPACK_PP_ARRAY_TO_LIST_DO, \
MSGPACK_PP_ARRAY_TO_LIST_EMPTY \
) \
(array) \
MSGPACK_PP_IF
#define MSGPACK_PP_IF(cond, t, f)
Definition: if.hpp:26

## MSGPACK_PP_ARRAY_TO_LIST_DO

#define MSGPACK_PP_ARRAY_TO_LIST_DO | ( |  | array | ) | MSGPACK_PP_TUPLE_TO_LIST array

## MSGPACK_PP_ARRAY_TO_LIST_EMPTY

#define MSGPACK_PP_ARRAY_TO_LIST_EMPTY | ( |  | array | ) | MSGPACK_PP_NIL